GoCardlessDeveloper Docs
Create a sandbox account

Tax Rate

View as Markdown

Tax rates from tax authority.

We also maintain a static list of the tax rates for each jurisdiction.

List tax rates#

GET/tax_rates

Returns a cursor-paginated list of all tax rates.

GET https://api.gocardless.com/tax_rates?jurisdiction=GB HTTP/1.1
@client.tax_rates.list(params: { jurisdiction: "GB" })
client.tax_rates.list(params={"jurisdiction": "GB" }).records
const taxRates = await client.taxRates.list();

// List the Tax rate for a jurisdiction.
const taxRatesFiltered = await client.taxRates.list({ jurisdiction: 'GB'});
$client->taxRates()->list([
  "params" => ["jurisdiction" => "GB"]
]);
client.taxRates().all().withJurisdiction("GB").execute();
taxRateListParams := gocardless.TaxRateListParams{
  Jurisdiction: "GB",
}

taxRateListResult, err := client.TaxRates.List(ctx, taxRateListParams)
var request = new GoCardless.Services.TaxRateListRequest()
{
    Jurisdiction = "GB",
};

var response = client.TaxRates.All(request);
foreach (GoCardless.Resources.TaxRate rate in response)
{
    Console.WriteLine(rate.Percentage);
}
Responsehttp
HTTP/1.1 200 OK
Content-Type: application/json
{
    "tax_rates": [
        {
            "id": "GB_VAT_1",
            "jurisdiction": "GB",
            "type": "VAT",
            "percentage": "20.0",
            "start_date": "2020-02-24",
            "end_date": null
        }
    ],
    "meta": {
        "cursors": {
            "after": null,
            "before": null
        },
        "limit": 50
    }
}
Response 200

Successful response

tax_ratesarray
6 properties
idstring

The unique identifier created by the jurisdiction, tax type and version

jurisdictionstring

The jurisdiction this tax rate applies to

typestring

The type of tax applied by this rate

percentagestring

The percentage of tax that is applied onto of GoCardless fees

start_datestring

Date at which GoCardless started applying the tax rate in the jurisdiction.

end_datestring

Date at which GoCardless stopped applying the tax rate for the jurisdiction.

metaobject
2 properties
limitinteger
cursorsobject
2 properties
beforestring

Cursor pointing to the end of the desired set.

afterstring

Cursor pointing to the start of the desired set.

Errors 400401404422500
400

Bad Request

401

Unauthorised

404

Not found

422

Validation Error

500

Internal Error

Error Body
codeinteger
documentation_urlstring
errorsarray
2 properties
reasonstring
messagestring
messagestring
request_idstring
typestring
metadataobject
linksobject

Get a single tax rate#

GET/tax_rates/{tax_rate_id}

Retrieves the details of a tax rate.

Path Parameters

NameTypeDescription
tax_rate_idrequiredstring

The tax rate id

GET https://api.gocardless.com/tax_rates/GB_VAT_1 HTTP/1.1
@client.tax_rates.get("GB_VAT_1")
client.tax_rates.get("GB_VAT_1")
const taxRate = await client.taxRates.find("GB_VAT_1");
$client->taxRates()->get("GB_VAT_1");
TaxRate taxRate = client.taxRates().get("GB_VAT_1").execute();
taxRate, err := client.TaxRates.Get(ctx, "GB_VAT_1")
var taxRateResponse = await client.TaxRates.GetAsync("GB_VAT_1");
GoCardless.Resources.TaxRate taxRate = taxRateResponse.TaxRate;
Responsehttp
HTTP/1.1 200 OK
Content-Type: application/json
{
  "tax_rates": {
    "id": "GB_VAT_1",
    "jurisdiction": "GB",
    "type": "VAT",
    "percentage": "20.0",
    "start_date": "2020-02-24",
    "end_date": null
  }
}
Response 200

Successful response

tax_ratesobject
6 properties
idstring

The unique identifier created by the jurisdiction, tax type and version

jurisdictionstring

The jurisdiction this tax rate applies to

typestring

The type of tax applied by this rate

percentagestring

The percentage of tax that is applied onto of GoCardless fees

start_datestring

Date at which GoCardless started applying the tax rate in the jurisdiction.

end_datestring

Date at which GoCardless stopped applying the tax rate for the jurisdiction.

Errors 400401404422500
400

Bad Request

401

Unauthorised

404

Not found

422

Validation Error

500

Internal Error

Error Body
codeinteger
documentation_urlstring
errorsarray
2 properties
reasonstring
messagestring
messagestring
request_idstring
typestring
metadataobject
linksobject